标签: 依赖包

Redhat6安装TeamViewer6实战

经过几天的折腾,终于把TeamViewer装上了,累死了。好像就算是rpm版本的也是需要wine来驱动的。其实最主要的两部分,一个是wine的安装,另一个是依赖包的解决。

先安装wine,yum install wine,如果出现问题请看《Install wine (the Solution to No package wine available When yum install wine)》

1、下载TeamViewer
wget http://www.teamviewer.com/download/teamviewer_linux.rpm

2、运行rpm -ivh teamviewer_linux.rpm

安装完成……

但是,中间会出现问题的。

第二步的时候会出现包的依赖问题(此例是Redhat6标准桌面安装)。比如会提示
warning: teamviewer_linux.rpm: Header V3 DSA/SHA1 Signature, key ID 72db573c: NOKEY
error: Failed dependencies:
glibc(x86-32) >= 2.7 is needed by teamviewer6-6.0.9258-1.i386
alsa-lib(x86-32) is needed by teamviewer6-6.0.9258-1.i386
zlib(x86-32) is needed by teamviewer6-6.0.9258-1.i386
libSM(x86-32) is needed by teamviewer6-6.0.9258-1.i386
libXext(x86-32) is needed by teamviewer6-6.0.9258-1.i386
libXtst(x86-32) is needed by teamviewer6-6.0.9258-1.i386
libXdamage(x86-32) is needed by teamviewer6-6.0.9258-1.i386
libXfixes(x86-32) is needed by teamviewer6-6.0.9258-1.i386
libXrender(x86-32) is needed by teamviewer6-6.0.9258-1.i386
freetype(x86-32) is needed by teamviewer6-6.0.9258-1.i386

经过google查询其实是缺少了这些包(只是一部分,有可能还要更多)
libXi-1.3-3.el6.i686.rpm
libXtst-1.0.99.2-3.el6.i686.rpm
libXrender-0.9.5-1.el6.i686.rpm
freetype-2.3.11-5.el6.i686.rpm

比如freetype(x86-32) is needed by teamviewer6-6.0.9258-1.i386错误,google一下是因为缺少了freetype-2.3.11-5.el6.i686.rpm这个包,也可以在http://rpmfind.net这个网站直接查询。

http://rpmfind.net/linux/rpm2html/search.php?query=+freetype%28×86-32%29&submit=Search+…&system=&arch=

打开后找到相应版本的rpm包,比如这里是CentOS 6.0 for x86_64版本的。

在Redhat6终端中输入:
wget ftp://rpmfind.net/linux/centos/6.0/os/x86_64/Packages/freetype-2.3.11-5.el6.i686.rpm
rpm -ivh freetype-2.3.11-5.el6.i686.rpm
就安装完成了,其他依次类推。

依赖的包都安装完成后,就可以直接安装teamviewer了。

后记:安装完成后已经可以运行wine,并且可以远程,但是界面是竖条条,经过查询发现是wine的中文支持问题,目前还没有解决,以后再折腾。